POV-Ray : Newsgroups : povray.binaries.programming : MPI patch for povray 3.5c Server Time: 16 Dec 2018 23:56:28 GMT
  MPI patch for povray 3.5c (Message 1 to 10 of 11)  
Goto Latest 10 Messages Next 1 Messages >>>
From: Matthias
Subject: MPI patch for povray 3.5c
Date: 4 Feb 2003 23:03:39
Message: <3E40469B.3080402@web.de>
Hi folks,

based on PVMPOV, we have created a MPI patch for povray 3.5c It works 
quite well and has been tested on Linux (SuSE 7.3&8.0), Solaris 8.0 and 
Irix.
It works with the new automake/autoconf system of povray 3.5, so just 
unpack the archive to your povray directory and run './configure', 
'make' and 'make install', nothing new for you guys ;-)
It has statistics, options and other stuff, so try it out!!
Requirements are povray3.5c and LAM/MPI 6.5.x
What do you think about it??
If you like it, I hope it can be added to the tools section on the 
povray homepage...

Matthias


Post a reply to this message


Attachments:
Download 'parapov.tar.gz' (120 KB)

From: Christopher Endsley
Subject: Re: MPI patch for povray 3.5c
Date: 14 Feb 2003 05:43:00
Message: <3e4c81e4@news.povray.org>
Matthias wrote:

> Hi folks,
> 
> based on PVMPOV, we have created a MPI patch for povray 3.5c It works
> quite well and has been tested on Linux (SuSE 7.3&8.0), Solaris 8.0 and
> Irix.
> It works with the new automake/autoconf system of povray 3.5, so just
> unpack the archive to your povray directory and run './configure',
> 'make' and 'make install', nothing new for you guys ;-)
> It has statistics, options and other stuff, so try it out!!
> Requirements are povray3.5c and LAM/MPI 6.5.x
> What do you think about it??
> If you like it, I hope it can be added to the tools section on the
> povray homepage...
> 
> Matthias

How well does this intergrate with radiosity, photons, and other nifty
features of v3.5c? I'm going to try the InformationRod.pov from the images
group to try this out on 4 machines. Should I expect artifacts in the
rendering vs using a single CPU?
---Christopher


Post a reply to this message

From: haugboel
Subject: Re: MPI patch for povray 3.5c
Date: 25 Jul 2004 11:45:00
Message: <web.41039c554419f93c2718e9220@news.povray.org>
Matthias <mat### [at] webde> wrote:
> Hi folks,
>
> based on PVMPOV, we have created a MPI patch for povray 3.5c It works
> quite well and has been tested on Linux (SuSE 7.3&8.0), Solaris 8.0 and
> Irix.

> Requirements are povray3.5c and LAM/MPI 6.5.x
> What do you think about it??
I like it very much!
We use POVRay for rendering images to scientific publications, and need
sometimes to do very large images (think 600dpi). We have access to several
large (512 cpu size) installations. Both SMP machines and clusters. To get
the job done unfortunately we need povray 3.6.
Is there any chance you will port your patch to POVRay 3.6 ? I tried naively
to just dump parapov in the 3.6 source, and it didn't work. I would be
happy to help test - also large scale (up to 128 CPU) - runs if
needed/wanted.

Regards,

Troels


Post a reply to this message

From: Vadim
Subject: Re: MPI patch for povray 3.5c
Date: 29 Nov 2005 11:35:01
Message: <web.438c3bee4419f93c14f142ad0@news.povray.org>
Matthias <mat### [at] webde> wrote:
> Hi folks,
>
> based on PVMPOV, we have created a MPI patch for povray 3.5c It works
> quite well and has been tested on Linux (SuSE 7.3&8.0), Solaris 8.0 and
> Irix.
> It works with the new automake/autoconf system of povray 3.5, so just
> unpack the archive to your povray directory and run './configure',
> 'make' and 'make install', nothing new for you guys ;-)
> It has statistics, options and other stuff, so try it out!!
> Requirements are povray3.5c and LAM/MPI 6.5.x
> What do you think about it??
> If you like it, I hope it can be added to the tools section on the
> povray homepage...
>
> Matthias

For those who are interested in parallel versions of Povray - I found an
easy way to do this with any version of Povray. :) Read this article:

http://u.pereslavl.ru/~vadim/MCSharp/docs/povray/index.php


Best regards,
Vadim B. Guzev
http://u.pereslavl.ru/~vadim/MCSharp/


Post a reply to this message

From: Thorsten Froehlich
Subject: Re: MPI patch for povray 3.5c
Date: 29 Nov 2005 14:10:42
Message: <438c6162$1@news.povray.org>
Vadim wrote:
> For those who are interested in parallel versions of Povray - I found an
> easy way to do this with any version of Povray. :) Read this article:
> 
> http://u.pereslavl.ru/~vadim/MCSharp/docs/povray/index.php

... which happens to contain various incorrect statements about the 
development of POV-Ray.  In particular the lengthy paragraph about the 
"owner" and "developer" of POV-Ray is all wrong.  Persistence of Vision 
Raytracer Pty. Ltd. only holds the copyright in order to protect individual 
developers (against patent lawsuits, illegal use of POV-Ray, etc), it does 
not develop POV-Ray.  This is a same setup similar to what most open source 
projects are forced to use these days.  The paragraph also claims the 
official version is not developed by volunteers, which is plain wrong, too.


	Thorsten


Post a reply to this message

From: Christoph Hormann
Subject: Re: MPI patch for povray 3.5c
Date: 29 Nov 2005 14:38:45
Message: <dmhp4o$pcf$1@chho.imagico.de>
Vadim wrote:
> 
> For those who are interested in parallel versions of Povray - I found an
> easy way to do this with any version of Povray. :) Read this article:
> 
> http://u.pereslavl.ru/~vadim/MCSharp/docs/povray/index.php

Which is just yet another 
split-render-into-tiles-and-render-with-multiple-instances-of-POV-Ray 
tool in someone's favourite pet language.

Various tools already exist for this:

http://www.imp.org/impfarm/default.asp
http://www.it-berater.org/smpov.htm
http://www.imagico.de/povany/index.html

which offer more functionality (esp. distributing a render across 
different computers).

Christoph

-- 
POV-Ray tutorials, include files, Landscape of the week:
http://www.imagico.de/ (Last updated 31 Oct. 2005)
MegaPOV with mechanics simulation: http://megapov.inetart.net/


Post a reply to this message

From: djzielin
Subject: Re: MPI patch for povray 3.5c
Date: 21 Feb 2006 21:15:00
Message: <web.43fb81e84419f93cd3852e870@news.povray.org>
Matthias <mat### [at] webde> wrote:
> Hi folks,
>
> based on PVMPOV, we have created a MPI patch for povray 3.5c It works
> quite well and has been tested on Linux (SuSE 7.3&8.0), Solaris 8.0 and
> Irix.
> It works with the new automake/autoconf system of povray 3.5, so just
> unpack the archive to your povray directory and run './configure',
> 'make' and 'make install', nothing new for you guys ;-)
> It has statistics, options and other stuff, so try it out!!
> Requirements are povray3.5c and LAM/MPI 6.5.x
> What do you think about it??
> If you like it, I hope it can be added to the tools section on the
> povray homepage...
>
> Matthias

I think this file is corrupted. I have tried downloading it several times.
And made sure to clear the cache of the browser and delete the original
copy between tries. tar gives me errors when I try to unpack it. Is this
file hosted anywhere else?

Thanks,
-Dave


Post a reply to this message

From: djzielin
Subject: Re: MPI patch for povray 3.5c
Date: 23 Feb 2006 15:45:00
Message: <web.43fdd8174419f93cd3852e870@news.povray.org>
ah...I used wget to download the file, and I am able to unpack it.

Best,
-Dave

"djzielin" <djz### [at] dukeedu> wrote:
> Matthias <mat### [at] webde> wrote:
> > Hi folks,
> >
> > based on PVMPOV, we have created a MPI patch for povray 3.5c It works
> > quite well and has been tested on Linux (SuSE 7.3&8.0), Solaris 8.0 and
> > Irix.
> > It works with the new automake/autoconf system of povray 3.5, so just
> > unpack the archive to your povray directory and run './configure',
> > 'make' and 'make install', nothing new for you guys ;-)
> > It has statistics, options and other stuff, so try it out!!
> > Requirements are povray3.5c and LAM/MPI 6.5.x
> > What do you think about it??
> > If you like it, I hope it can be added to the tools section on the
> > povray homepage...
> >
> > Matthias
>
> I think this file is corrupted. I have tried downloading it several times.
> And made sure to clear the cache of the browser and delete the original
> copy between tries. tar gives me errors when I try to unpack it. Is this
> file hosted anywhere else?
>
> Thanks,
> -Dave


Post a reply to this message

From: Jack Keong
Subject: Re: MPI patch for povray 3.5c
Date: 6 Oct 2006 08:30:00
Message: <web.452613224419f93c9d9c83740@news.povray.org>
Hi everyone,

I tried to setup mpi-povray based on Matthias patch, but i got this error
when i type make:

: undefined reference to `__ctype_b'
collect2: ld returned 1 exit status
make[1]: *** [povray] Error 1
make[1]: Leaving directory `/opt/povray3.5/povray-3.50c/src'
make: *** [all-recursive] Error 1

anyone have any idea bout this? thanx in advance!

Jack

"djzielin" <djz### [at] dukeedu> wrote:
> ah...I used wget to download the file, and I am able to unpack it.
>
> Best,
> -Dave
>
> "djzielin" <djz### [at] dukeedu> wrote:
> > Matthias <mat### [at] webde> wrote:
> > > Hi folks,
> > >
> > > based on PVMPOV, we have created a MPI patch for povray 3.5c It works
> > > quite well and has been tested on Linux (SuSE 7.3&8.0), Solaris 8.0 and
> > > Irix.
> > > It works with the new automake/autoconf system of povray 3.5, so just
> > > unpack the archive to your povray directory and run './configure',
> > > 'make' and 'make install', nothing new for you guys ;-)
> > > It has statistics, options and other stuff, so try it out!!
> > > Requirements are povray3.5c and LAM/MPI 6.5.x
> > > What do you think about it??
> > > If you like it, I hope it can be added to the tools section on the
> > > povray homepage...
> > >
> > > Matthias
> >
> > I think this file is corrupted. I have tried downloading it several times.
> > And made sure to clear the cache of the browser and delete the original
> > copy between tries. tar gives me errors when I try to unpack it. Is this
> > file hosted anywhere else?
> >
> > Thanks,
> > -Dave


Post a reply to this message

From: einarabelc5
Subject: Re: MPI patch for povray 3.5c
Date: 3 May 2007 14:40:04
Message: <web.4639f4054419f93c5fb7d6ee0@news.povray.org>
Christoph Hormann <chr### [at] gmxde> wrote:
> Vadim wrote:
> >
> > For those who are interested in parallel versions of Povray - I found an
> > easy way to do this with any version of Povray. :) Read this article:
> >
> > http://u.pereslavl.ru/~vadim/MCSharp/docs/povray/index.php
>
> Which is just yet another
> split-render-into-tiles-and-render-with-multiple-instances-of-POV-Ray
> tool in someone's favourite pet language.
>
> Various tools already exist for this:
>
> http://www.imp.org/impfarm/default.asp
> http://www.it-berater.org/smpov.htm
> http://www.imagico.de/povany/index.html
>
> which offer more functionality (esp. distributing a render across
> different computers).
>
> Christoph
>
> --
> POV-Ray tutorials, include files, Landscape of the week:
> http://www.imagico.de/ (Last updated 31 Oct. 2005)
> MegaPOV with mechanics simulation: http://megapov.inetart.net/

Hello:
Cristoph, as you already know from my previous posts regarding Povray and
Parallelization I´ve looking for a way to do distributed rendering with.
Of all the links you list which one do you recommend the most?

I think povany would be a good one to try.

SMPov looks good to but do you know if it runs on Linux?

Thank You.


Post a reply to this message

Goto Latest 10 Messages Next 1 Messages >>>

Copyright 2003-2008 Persistence of Vision Raytracer Pty. Ltd.